---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: rabbitmq
  namespace: {{ .Release.Namespace }}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rabbitmq
  serviceName: rabbitmq
  template:
    metadata:
      labels:
        app: rabbitmq
    spec:
      containers:
      - image: "rabbitmq:3-management"
        name: rabbitmq
        ports:
          - containerPort: 5672
        env:
        - name: RABBITMQ_USERNAME
          valueFrom:
            secretKeyRef:
              key: RABBITMQ_USERNAME
              name: rabbitmq-secrets
        - name: RABBITMQ_PASSWORD
          valueFrom:
            secretKeyRef:
              key: RABBITMQ_PASSWORD
              name: rabbitmq-secrets
---

apiVersion: v1
kind: Service
metadata:
  name: rabbitmq-svc
  namespace: {{ .Release.Namespace }}
  labels:
    app: rabbitmq
spec:
  ports:
  - port: 5672
    name: rabbitmq-port
  clusterIP: None
  selector:
      app: rabbitmq
